Bug 3300 - [UPDATE REQUEST] [UPSTREAM UPDATE] system-config-users
: [UPDATE REQUEST] [UPSTREAM UPDATE] system-config-users
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-02 17:27 MSK by Andrew Lukoshko
Modified: 2014-01-10 10:06 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2013-12-02 17:27:12 MSK
* Prior to this update, expiration dates at or before January 1,
1970 were not correctly calculated. As a consequence, the system-config-users
utility stored expiration dates off by one day into /etc/shadow. This update
modifies the underlying code so that account expiration dates are calculated and
stored correctly.

* Prior to this update, a string in the user interface was not correctly
localized into Japanese. This update modifies the string so that the text is now
correct.

* Prior to this update, the system-config-users utility determined incorrectly
whether to set an account as inactive if an expired password was not reset
during a specified period. This update modifies the underlying code to check for
this condition by hard-coding the value which indicates this condition.

https://rhn.redhat.com/errata/RHBA-2012-1387.html

https://abf.rosalinux.ru/build_lists/1391187
https://abf.rosalinux.ru/build_lists/1391188
Comment 1 Vladimir Potapov 2013-12-10 15:35:30 MSK
system-config-users-1.2.106-7.res6
***************************** RHEL Advisory ***************************
* Prior to this update, expiration dates at or before January 1,
1970 were not correctly calculated. As a consequence, the system-config-users
utility stored expiration dates off by one day into /etc/shadow. This update
modifies the underlying code so that account expiration dates are calculated and
stored correctly.

* Prior to this update, a string in the user interface was not correctly
localized into Japanese. This update modifies the string so that the text is now
correct.

* Prior to this update, the system-config-users utility determined incorrectly
whether to set an account as inactive if an expired password was not reset
during a specified period. This update modifies the underlying code to check for
this condition by hard-coding the value which indicates this condition.
*************************************************************************
QA Verified